Skip to main content
GET
/
public
/
v1
/
recurring
/
journal-entries
/
{record_number}
/
Get RecurringJournalEntry record
curl --request GET \
  --url https://api.dualentry.com/public/v1/recurring/journal-entries/{record_number}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/recurring/journal-entries/{record_number}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/recurring/journal-entries/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "internal_id": 123,
  "number": 123,
  "name": "<string>",
  "memo": "<string>",
  "date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "record_payload": "<unknown>",
  "rrule": "<string>",
  "next_occurrence": "2023-11-07T05:31:56Z",
  "last_generated": "2023-11-07T05:31:56Z",
  "records": [
    {
      "internal_id": 123,
      "number": 123,
      "date": "2023-12-25",
      "amount": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
recurring_type
enum<string>[] | null
Available options:
automatic,
reminder
updated_after
string<date-time> | null
updated_before
string<date-time> | null

Response

OK

internal_id
integer
required
number
integer
required
name
string
required
memo
string
required
date
string<date>
required
company_id
integer
required
company_name
string
required
company_currency
string
required
status
enum<string>
required
Available options:
active,
inactive
record_payload
any
required
rrule
string
required
next_occurrence
string<date-time> | null
required
last_generated
string<date-time> | null
required
recurring_type
enum<string>
required
Available options:
automatic,
reminder
records
PublicRecurringRecordSchemaOut · object[]
required
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

Last modified on July 13, 2026